@echo off
REM -- First make map file from Microsoft Visual C++ generated resource.h
echo // MAKEHELP.BAT generated Help Map file.  Used by WEBHELP.HPJ. >"hlp\WebHelp.hm"
echo. >>"hlp\WebHelp.hm"
echo // Commands (ID_* and IDM_*) >>"hlp\WebHelp.hm"
makehm ID_,HID_,0x10000 IDM_,HIDM_,0x10000 resource.h >>"hlp\WebHelp.hm"
echo. >>"hlp\WebHelp.hm"
echo // Prompts (IDP_*) >>"hlp\WebHelp.hm"
makehm IDP_,HIDP_,0x30000 resource.h >>"hlp\WebHelp.hm"
echo. >>"hlp\WebHelp.hm"
echo // Resources (IDR_*) >>"hlp\WebHelp.hm"
makehm IDR_,HIDR_,0x20000 resource.h >>"hlp\WebHelp.hm"
echo. >>"hlp\WebHelp.hm"
echo // Dialogs (IDD_*) >>"hlp\WebHelp.hm"
makehm IDD_,HIDD_,0x20000 resource.h >>"hlp\WebHelp.hm"
echo. >>"hlp\WebHelp.hm"
echo // Frame Controls (IDW_*) >>"hlp\WebHelp.hm"
makehm IDW_,HIDW_,0x50000 resource.h >>"hlp\WebHelp.hm"
REM -- Make help for Project WEBHELP


echo Building Win32 Help files
start /wait hcrtf -x "hlp\WebHelp.hpj"
echo.
if exist Debug\nul copy "hlp\WebHelp.hlp" Debug
if exist Debug\nul copy "hlp\WebHelp.cnt" Debug
if exist Release\nul copy "hlp\WebHelp.hlp" Release
if exist Release\nul copy "hlp\WebHelp.cnt" Release
echo.


